Index: /WAeUP_SRP/trunk/Academics.py
===================================================================
--- /WAeUP_SRP/trunk/Academics.py	(revision 286)
+++ /WAeUP_SRP/trunk/Academics.py	(revision 287)
@@ -116,5 +116,6 @@
                 if not no_import:
                     no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
-                    no_import.write('"Session","DeptCode","Description","FacultyCode"')
+                    no_import.write('"Session","DeptCode","Description","FacultyCode"\n')
+                no_import.write( "No Faculty with ID: %s\n" % fid)
                 no_import.write('"%(Session)s","%(DeptCode)s","%(Description)s","%(FacultyCode)s"\n' % dep)
             else:
@@ -166,4 +167,5 @@
                     no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
                     no_import.write('"CourseCode","Description","Credits","Dept","Semester","Session","PassMark","CourseKey","Category","AdmStatus"\n')
+                no_import.write("Dep %(Dept)s for Course %(CourseCode)s not found\n" % course)
                 no_import.write('"%(CourseCode)s","%(Description)s","%(Credits)s","%(Dept)s","%(Semester)s","%(Session)s","%(PassMark)s","%(CourseKey)s","%(Category)s","%(AdmStatus)s"\n' % course)
                 continue
@@ -175,12 +177,12 @@
                 logger.info("invalid course_code %(course_id)s renaming to %(tid)s" % vars())
                 course_id = tid
-            elif course_id.startswith('DAIC'):
-                tid = course_id.replace('DAIC','DAC')
-                logger.info("invalid course_code %(course_id)s renaming to %(tid)s" % vars())
-                course_id = tid
-            elif course_id.startswith('DAIM'):
-                tid = course_id.replace('DAIM','DAM')
-                logger.info("invalid course_code %(course_id)s renaming to %(tid)s" % vars())
-                course_id = tid
+##            elif course_id.startswith('DAIC'):
+##                tid = course_id.replace('DAIC','DAC')
+##                logger.info("invalid course_code %(course_id)s renaming to %(tid)s" % vars())
+##                course_id = tid
+##            elif course_id.startswith('DAIM'):
+##                tid = course_id.replace('DAIM','DAM')
+##                logger.info("invalid course_code %(course_id)s renaming to %(tid)s" % vars())
+##                course_id = tid
             elif len(course_id) != 6:
                 logger.info("invalid course_code %(CourseCode)s" % course)
@@ -188,4 +190,5 @@
                     no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
                     no_import.write('"CourseCode","Description","Credits","Dept","Semester","Session","PassMark","CourseKey","Category","AdmStatus"')
+                no_import.write("invalid course_code %(CourseCode)s\n" % course)
                 no_import.write('"%(CourseCode)s","%(Description)s","%(Credits)s","%(Dept)s","%(Semester)s","%(Session)s","%(PassMark)s","%(CourseKey)s","%(Category)s","%(AdmStatus)s"\n' % course)
                 continue
@@ -218,4 +221,6 @@
         """install Universityspecific Certificates from CSV values"""
         #return
+        name = 'certificates'
+        no_import = False
         logger = logging.getLogger('loadcertificates')
         try:
@@ -236,7 +241,17 @@
             if facid not in f_ids:
                 logger.info('Faculty %(Faculty)s for %(CertCode)s %(Description)s not found' % certificate)
+                if not no_import:
+                    no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
+                    no_import.write('"CertCode","Description","Faculty","MaxPass","MaxLoad","session","PromotionCredits","Probationcredits","StartLevel","endLevel","Nyears","Ncore","MaxElect","MPREFIX","Dept","Admstatus","category"\n')
+                no_import.write('Faculty %(Faculty)s for %(CertCode)s %(Description)s not found\n' % certificate)
+                no_import.write('"%(CertCode)s","%(Description)s","%(Faculty)s","%(MaxPass)s","%(MaxLoad)s","%(session)s","%(PromotionCredits)s","%(Probationcredits)s","%(StartLevel)s","%(endLevel)s","%(Nyears)s","%(Ncore)s","%(MaxElect)s","%(MPREFIX)s","%(Dept)s","%(Admstatus)s","%(category)s"\n' % certificate)
                 continue
             if not deps.has_key(depid):
                 logger.info('Department %(Dept)s for %(CertCode)s %(Description)s not found' % certificate)
+                if not no_import:
+                    no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
+                    no_import.write('"CertCode","Description","Faculty","MaxPass","MaxLoad","session","PromotionCredits","Probationcredits","StartLevel","endLevel","Nyears","Ncore","MaxElect","MPREFIX","Dept","Admstatus","category"\n')
+                no_import.write('Department %(Dept)s for %(CertCode)s %(Description)s not found\n' % certificate)
+                no_import.write('"%(CertCode)s","%(Description)s","%(Faculty)s","%(MaxPass)s","%(MaxLoad)s","%(session)s","%(PromotionCredits)s","%(Probationcredits)s","%(StartLevel)s","%(endLevel)s","%(Nyears)s","%(Ncore)s","%(MaxElect)s","%(MPREFIX)s","%(Dept)s","%(Admstatus)s","%(category)s"\n' % certificate)
                 continue
             certificate_id = "%(category)s_%(Admstatus)s_%(Dept)s" % certificate
